Name:           coredumper
Version:        1.2.1
Release:        3%{?dist}
Summary:        Library to create core dumps

Group:          Development/Tools
License:        BSD
URL:            http://code.google.com/p/google-%{name}/
Source0:        http://google-%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kernel-headers, binutils, gdb

# package has only been tested with %%{ix86} x86_64
# and do not work with ppc or ppc64
ExcludeArch:    ia64
ExcludeArch:    ppc
ExcludeArch:    ppc64

%description
The coredumper library can be compiled into applications to create
core dumps of the running program -- without terminating. It supports
both single- and multi-threaded core dumps, even if the kernel does
not natively support multi-threaded core files.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure --enable-static=no

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%{_libdir}/libcoredumper.so.*

%files devel
%defattr(-,root,root,-)
%doc README
%doc examples
%{_libdir}/libcoredumper.so
%{_mandir}/man3/*
%dir %{_includedir}/google
%{_includedir}/google/*.h

%changelog
* Sun Aug 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-3
- fixed buildrequires

* Sun Aug 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-2
- added %%check section, moved README to devel
- mv header files back to google directory

* Thu Aug 07 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.2.1-1
- Initial build
